Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
python hyperparameter_tuning/random_cv.py --year 2016 --model_name CNN_FNN
cuda:0
CNN_FNN
joblib.externals.loky.process_executor._RemoteTraceback:
"""
Traceback (most recent call last):
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/externals/loky/process_executor.py", line 431, in _process_worker
r = call_item()
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/externals/loky/process_executor.py", line 285, in __call__
return self.fn(*self.args, **self.kwargs)
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/_parallel_backends.py", line 595, in __call__
return self.func(*args, **kwargs)
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/parallel.py", line 252, in __call__
return [func(*args, **kwargs)
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/parallel.py", line 252, in <listcomp>
return [func(*args, **kwargs)
File "hyperparameter_tuning/random_cv.py", line 57, in random_cv
train_X = load_results(rootpath + 'train_X_map_{}_forecast{}.pkl'.format(cv_year, cv_index))
File "SSF/utils.py", line 14, in load_results
with open(filename, 'rb') as f:
FileNotFoundError: [Errno 2] No such file or directory: 'SSF/data/random_cv/train_X_map_2016_forecast1.pkl'
"""
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "hyperparameter_tuning/random_cv.py", line 409, in <module> Parallel(n_jobs=12)(delayed(random_cv)(cv_index, cv_year=year, roothpath=rootpath, param_grid=param_grid, num_random=num_random, model_name=model_name, device=device, one_day=one_day) for cv_index in month_range)
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/parallel.py", line 1042, in __call__
self.retrieve()
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/parallel.py", line 921, in retrieve
self._output.extend(job.get(timeout=self.timeout)) File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/site-packages/joblib/_parallel_backends.py", line 542, in wrap_future_result
return future.result(timeout=timeout)
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/concurrent/futures/_base.py", line 439, in result
return self.__get_result()
File "/home-nfs/grosenthal/miniconda2/envs/willett/lib/python3.8/concurrent/futures/_base.py", line 388, in __get_result
raise self._exception
FileNotFoundError: [Errno 2] No such file or directory: 'SSF/data/random_cv/train_X_map_2016_forecast1.pkl'
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment